/*******************************************************************************
 * Copyright (c) 2008 SAS Institute Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     SAS Institute Inc. - initial API and implementation
 ******************************************************************************/
package org.eclipse.cosmos.me.provisional.deployment.sdd.tooling.btg.aggregator;

import java.util.Properties;

import org.eclipse.cosmos.me.provisional.deployment.sdd.common.spi.FixIdentity;

public class FixIdentityType {
	
	public static boolean equals(   FixIdentity fixIdentity1, FixIdentity fixIdentity2){
		/*
		<FixIdentityType> 	 	 	 	
	Name 		xsd:NMTOKEN 	Yes
	Description 		<DisplayTextType> 	Merge
	ShortDescription 		<DisplayTextType> 	Merge
	Symptom 		<DisplayTextType> 	Merge
	any 		namespace="##other" 	 ? 
		*/
		
		if (fixIdentity1.getFixName().equals(fixIdentity2.getFixName()))
		{
			return true;
		}				
		return false;		
	}
	
	public static FixIdentity merge (   FixIdentity fixIdentity1, FixIdentity fixIdentity2){
		if (equals(fixIdentity1,fixIdentity2))
		{
			return (fixIdentity1);
		}
		else return null;
	}
}
